<?php
// +-----------------------------------------------------------------------+
// | FacebookPlug - a Piwigo Plugin                                        |
// | Copyright (C) 2010 Ruben ARNAUD - rub@piwigo.org                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

function fbp_header($content, &$smarty)
{
  // replace tag html
  $search = '<html ';
  $replacement = '<html xmlns:fb="http://www.facebook.com/2008/fbml" ';

  //~ $content = preg_replace('#'.$search.'#', $replacement, $content);
  return preg_replace('#'.$search.'#', $replacement, $content);
  //~ $fbp_content = file_get_contents(FBP_DIR.'/tpl/init.fb.tpl');

  //~ $search = '<div id="the_page">';
  //~ return preg_replace('#'.$search.'#', $fbp_content.$search, $content);
}

function fbp_init()
{
  global $template, $conf, $user;

  // define ID
  $template->assign('FACEBOOK_APP_ID', (is_numeric($conf['fbp']['facebook_app_id']) ? $conf['fbp']['facebook_app_id'] : FACEBOOK_APP_ID));
  // define language
  $template->assign('LANGUAGE', $user['language']);
  $template->assign('fbp', $conf['fbp']);
  $template->smarty->register_modifier('boolean_to_string', 'boolean_to_string');

  if (trigger_event('fbp_do_facebook_init', $conf['fbp']['force_facebook_init']))
  {
    // set prefilter
    $template->set_prefilter('header', 'fbp_header');

    $template->set_filename('fbp_init.fb', FBP_DIR.'/tpl/init.fb.tpl');
    $template->append('head_elements', $template->parse('fbp_init.fb', true));
  }

  if (
      (script_basename() == 'index')
      and
      ($conf['fbp']['social_plugin_activity_feed']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
      )
  {
    $template->block_html_head('', '<link rel="stylesheet" type="text/css" href="'.FBP_PATH.'/css/fbp.css">', $smarty, $repeat);
  }
}

function fbp_do_facebook_init($do_it)
{
  global $conf;

  return 
    $do_it
  or
    (
      (
        (script_basename() == 'picture')
        and
        ($conf['fbp']['social_plugin_like_button']['enabled'] or $conf['fbp']['social_plugin_facepile']['enabled'] or $conf['fbp']['social_plugin_comments']['enabled'])
      )
      or
      (
        (script_basename() == 'index')
        and
        ($conf['fbp']['social_plugin_activity_feed']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
      )
      or
      (
        (script_basename() == 'admin')
        and
        ($_GET['page'] == 'plugin')
        and
        (strtok($_GET['section'], '/') == 'FacebookPlug')
        //~ ($conf['fbp']['social_plugin_activity_feed']['enabled'] or $conf['fbp']['social_plugin_like_box']['enabled'])
      )
    )
  ;
}
add_event_handler('fbp_do_facebook_init', 'fbp_do_facebook_init');

//~ if (trigger_event('fbp_do_facebook_init', $conf['fbp']['force_facebook_init']))
//~ {
  add_event_handler('init', 'fbp_init');
//~ }

?>
